Subject: Re: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Dec 2023 13:16:37 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>, [email-masked],
>  [email-masked]
> Date: Sat, 23 Dec 2023 09:41:44 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > My advice is to have a prototype working, then time it on local
> >> > filesystems.
> >> 
> >> See the attached patch.
> >
> > What do we want to do with this? any reasons not to install this on
> > master (and close this bug then)?
> 
> I thought that it is already installed...

The find-buffer part?  I don't see it, did I miss something?

> I do not think that we should close the bug even after installing the
> patch for `find-buffer-visiting'.
> 
> What I had in mind wrt improving `find-buffer-visiting' performance is:
> 
> 1. Improve the Elisp part (this patch)

Let's install it.

> 2. Improve case-fold-search binding, which will give another speedup
>    (another patch I submitted)

It should be installed, after you add the tests we've been discussing.

> 3. Optionally add tests

I hope the tests will not be optional...

> 4. Address the scenario Dmitry described in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66117#91

That could be a separate bug report.  This one is already too long,
and includes too many different issues.